Global Data Fetch
Introduction
You will need to login before sending the request. You are required to pass the access token received from the login call, as authorization header in the request.
- List of supported Country Codes for Phone API:
- 91
- Operators supported for Phone API (India) are:
- Airtel
- Vodafone
- Jio
- Idea
Note: For Input parameters,
a. The value "Yes" indicates that the parameter is compulsory for that API b. The value "No" indicates that the parameter is not requried for that API
Code samples corresponding to the above example for creating a request for Global data fetch.
APIs supported in Global Data Fetch
Entity
API Name | InputData.Type | Number | Aadhaar Number | State | Member Type |
|---|---|---|---|---|---|
GSTIN Search | gstSearch | Yes | No | No | No |
Detailed GSTIN Search | detailedGstSearch | Yes | No | No | No |
PAN to GST API | panToGst | Yes | No | Yes | No |
ROC - Quick Search by CIN | quickSearchCin | Yes | No | No | No |
ROC - Simple Search by CIN | simpleSearchCin | Yes | No | No | No |
ROC - Detailed Search by CIN | detailedSearchCin | Yes | No | No | No |
ROC - Quick Search by DIN | quickSearchDin | Yes | No | No | No |
ROC - Simple Search by DIN | simpleSearchDin | Yes | No | No | No |
ROC - Detailed Search by DIN | detailedSearchDin | Yes | No | No | No |
Shop & Establishment | snec | Yes | No | Yes | No |
Udhyog Aadhaar - Search by UAN | udhyogAadhaarUan | Yes | No | No | No |
FSSAI | fssai | Yes | No | No | No |
ICSI | icsi | Yes | No | No | Yes |
IEC | iec | Yes | No | No | No |
ROC - Asset Charges by CIN | assetChargesCin | Yes | No | No | No |
Udhyog Aadhaar - Search by UAN UID | udhyogAadhaarUanUid | Yes | Yes | No | No |
TIN | tin | Yes | No | No | No |
ICWAI - Search by Firm | icwaiFirm | Yes | No | No | No |
ICWAI - Search by Member | icwaiMember | Yes | No | No | No |
ICAI | icai | Yes | No | No | No |
Sample cURL Request
curl --request POST \
--url https://signzy.tech/api/v2/patrons/..your-patron-id../globaldatafetches \
--header 'Accept: */*' \
--header 'Accept-Language: en-US,en;q=0.8' \
--header 'content-type: application/json' \
--data '{"essentials":{"queryType":"entity/individual", "inputData":{"type":"...type...", "number":"...number...", "state":"...state...", "dob":"...dob...", "memberType":"...memberType..."}}}'Input Parameters
Parameter | Description |
|---|---|
request | The HTTP request method to be used. In this case, it is "POST". |
url | The URL to which the request is to be made. In this case, it is "". Replace "..your-patron-id.." with the ID of the patron. |
Accept | The HTTP Accept header field is used to specify the type of data the client expects to receive in response to the request. In this case, it is "/", indicating that the client can accept any type of response. |
Accept-Language | The HTTP Accept-Language header field is used to specify the preferred language of the client for the response. In this case, it is "en-US,en;q=0.8", indicating that the client prefers English language response. |
content-type | The HTTP Content-Type header field indicates the media type of the resource sent to the server. In this case, it is "application/json", indicating that the content of the request is in JSON format. |
essentials | The main parameter of the request body. It is an object containing the necessary information for the API call to fetch the required data. |
queryType | A sub-parameter of the "essentials" object. It indicates the type of query to be performed. In this case, it is "entity/individual", indicating that the query pertains to an individual entity. |
inputData | A sub-parameter of the "essentials" object. It contains the input data required for the query. |
type | A sub-parameter of the "inputData" object. It indicates the type of entity for which data is being fetched. |
number | A sub-parameter of the "inputData" object. It indicates the identification number of the entity for which data is being fetched. |
state | A sub-parameter of the "inputData" object. It indicates the state in which the entity is located. |
dob | A sub-parameter of the "inputData" object. It indicates the date of birth of the entity in the format "YYYY-MM-DD". |
memberType | A sub-parameter of the "inputData" object. It indicates the type of membership of the entity. |
Sample API Response
userId | string | Unique identifier for the patron/user, returned as userId parameter of login request. |
|---|---|---|
accessToken | string | Access token obtained from the login request, returned as id field of login request. |
queryType | string | Type of query to be performed, either "individual" or "entity". |
type | string | Type of data to be fetched. |
number | string | Unique identifier associated with the data to be fetched. |
aadhaarNumber | string | Aadhaar number of the individual associated with the data to be fetched. |
state | string | State of the individual associated with the data to be fetched. |
dob | string | Date of birth of the individual associated with the data to be fetched. |
memberType | string | Type of member associated with the data to be fetched. |
countryCode | string | Country code associated with the data to be fetched. |
referenceId | string | Reference ID associated with the data to be fetched. |
| | |
Parameters | Description |
|---|---|
Individual | Expected response when the queryType is "individual". |
Entity | Expected response when the queryType is "entity". |
queryType | Type of query performed, either "individual" or "entity". |
summary.name | Name of the individual or entity. |
summary.number | Unique identifier associated with the individual or entity. |
summary.dob | Date of birth of the individual. |
summary.address | Address associated with the individual or entity. |
summary.splitAddress | Separated components of the address. |
summary.status | Status of the entity. |
summary.registrationDate | Registration date of the entity. |
detailed | Detailed API response. |